Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.connector.store.jpa
Class JpaConnectorI18n

    java.lang.Object
      org.modeshape.connector.store.jpa.JpaConnectorI18n

    @Immutable
    public final class JpaConnectorI18n

extends Object

The internationalized string constants for the `org.modeshape.connector.store.jpa*` packages.

Field Summary
`static I18n` | `autoGenerateSchemaPropertyCategory`
`static I18n` | `autoGenerateSchemaPropertyDescription`
`static I18n` | `autoGenerateSchemaPropertyLabel`
`static I18n` | `basicModelDescription`
`static I18n` | `cacheConcurrencyStrategyPropertyCategory`
`static I18n` | `cacheConcurrencyStrategyPropertyDescription`
`static I18n` | `cacheConcurrencyStrategyPropertyLabel`
`static I18n` | `cacheManagerLookupPropertyCategory`
`static I18n` | `cacheManagerLookupPropertyDescription`
`static I18n` | `cacheManagerLookupPropertyLabel`
`static I18n` | `cacheProviderClassNamePropertyCategory`
`static I18n` | `cacheProviderClassNamePropertyDescription`
`static I18n` | `cacheProviderClassNamePropertyLabel`
`static I18n` | `cacheTimeToLiveInMillisecondsPropertyCategory`
`static I18n` | `cacheTimeToLiveInMillisecondsPropertyDescription`
`static I18n` | `cacheTimeToLiveInMillisecondsPropertyLabel`
`static I18n` | `compressDataPropertyCategory`
`static I18n` | `compressDataPropertyDescription`
`static I18n` | `compressDataPropertyLabel`
`static I18n` | `connectionIsNoLongerOpen`
`static I18n` | `connectorName`
`static I18n` | `creatingWorkspacesAllowedPropertyCategory`
`static I18n` | `creatingWorkspacesAllowedPropertyDescription`
`static I18n` | `creatingWorkspacesAllowedPropertyLabel`
`static I18n` | `dataSourceJndiNamePropertyCategory`
`static I18n` | `dataSourceJndiNamePropertyDescription`
`static I18n` | `dataSourceJndiNamePropertyLabel`
`static I18n` | `defaultWorkspaceNamePropertyCategory`
`static I18n` | `defaultWorkspaceNamePropertyDescription`
`static I18n` | `defaultWorkspaceNamePropertyLabel`
`static I18n` | `dialectCouldNotBeDeterminedAndMustBeSpecified`
`static I18n` | `dialectPropertyCategory`
`static I18n` | `dialectPropertyDescription`
`static I18n` | `dialectPropertyLabel`
`static I18n` | `driverClassloaderNamePropertyCategory`
`static I18n` | `driverClassloaderNamePropertyDescription`
`static I18n` | `driverClassloaderNamePropertyLabel`
`static I18n` | `driverClassNamePropertyCategory`
`static I18n` | `driverClassNamePropertyDescription`
`static I18n` | `driverClassNamePropertyLabel`
`static I18n` | `errorFindingDataSourceInJndi`
`static I18n` | `errorSettingContextClassLoader`
`static I18n` | `existingStoreSpecifiesUnknownModel`
`static I18n` | `garbageCollectionEnabledPropertyCategory`
`static I18n` | `garbageCollectionEnabledPropertyDescription`
`static I18n` | `garbageCollectionEnabledPropertyLabel`
`static I18n` | `idleTimeInSecondsBeforeTestingConnectionsPropertyCategory`
`static I18n` | `idleTimeInSecondsBeforeTestingConnectionsPropertyDescription`
`static I18n` | `idleTimeInSecondsBeforeTestingConnectionsPropertyLabel`
`static I18n` | `invalidIsolationLevel`
`static I18n` | `invalidReferences`
`static I18n` | `invalidUuidForWorkspace`
`static I18n` | `isolationLevelPropertyCategory`
`static I18n` | `isolationLevelPropertyDescription`
`static I18n` | `isolationLevelPropertyLabel`
`static I18n` | `largeValueSizeInBytesPropertyCategory`
`static I18n` | `largeValueSizeInBytesPropertyDescription`
`static I18n` | `largeValueSizeInBytesPropertyLabel`
`static I18n` | `locationShouldHavePathAndOrProperty`
`static I18n` | `maximumConnectionIdleTimeInSecondsPropertyCategory`
`static I18n` | `maximumConnectionIdleTimeInSecondsPropertyDescription`
`static I18n` | `maximumConnectionIdleTimeInSecondsPropertyLabel`
`static I18n` | `maximumConnectionsInPoolPropertyCategory`
`static I18n` | `maximumConnectionsInPoolPropertyDescription`
`static I18n` | `maximumConnectionsInPoolPropertyLabel`
`static I18n` | `maximumSizeOfStatementCachePropertyCategory`
`static I18n` | `maximumSizeOfStatementCachePropertyDescription`
`static I18n` | `maximumSizeOfStatementCachePropertyLabel`
`static I18n` | `minimumConnectionsInPoolPropertyCategory`
`static I18n` | `minimumConnectionsInPoolPropertyDescription`
`static I18n` | `minimumConnectionsInPoolPropertyLabel`
`static I18n` | `modelNamePropertyCategory`
`static I18n` | `modelNamePropertyDescription`
`static I18n` | `modelNamePropertyLabel`
`static I18n` | `namePropertyCategory`
`static I18n` | `namePropertyDescription`
`static I18n` | `namePropertyLabel`
`static I18n` | `nodeDoesNotExist`
`static I18n` | `numberOfConnectionsToAcquireAsNeededPropertyCategory`
`static I18n` | `numberOfConnectionsToAcquireAsNeededPropertyDescription`
`static I18n` | `numberOfConnectionsToAcquireAsNeededPropertyLabel`
`static I18n` | `passwordPropertyCategory`
`static I18n` | `passwordPropertyDescription`
`static I18n` | `passwordPropertyLabel`
`static I18n` | `predefinedWorkspaceNamesPropertyCategory`
`static I18n` | `predefinedWorkspaceNamesPropertyDescription`
`static I18n` | `predefinedWorkspaceNamesPropertyLabel`
`static I18n` | `propertyIsRequired`
`static I18n` | `referentialIntegrityEnforcedPropertyCategory`
`static I18n` | `referentialIntegrityEnforcedPropertyDescription`
`static I18n` | `referentialIntegrityEnforcedPropertyLabel`
`static I18n` | `repositorySourceMustHaveName`
`static I18n` | `retryLimitPropertyCategory`
`static I18n` | `retryLimitPropertyDescription`
`static I18n` | `retryLimitPropertyLabel`
`static I18n` | `rootNodeUuidPropertyCategory`
`static I18n` | `rootNodeUuidPropertyDescription`
`static I18n` | `rootNodeUuidPropertyLabel`
`static I18n` | `schemaNamePropertyCategory`
`static I18n` | `schemaNamePropertyDescription`
`static I18n` | `schemaNamePropertyLabel`
`static I18n` | `showSqlPropertyCategory`
`static I18n` | `showSqlPropertyDescription`
`static I18n` | `showSqlPropertyLabel`
`static I18n` | `simpleModelDescription`
`static I18n` | `unableToCreateWorkspaces`
`static I18n` | `unableToDeleteBecauseOfReferences`
`static I18n` | `unableToMoveRootNode`
`static I18n` | `unableToReadLargeValue`
`static I18n` | `unknownModelName`
`static I18n` | `updatesAllowedPropertyCategory`
`static I18n` | `updatesAllowedPropertyDescription`
`static I18n` | `updatesAllowedPropertyLabel`
`static I18n` | `urlPropertyCategory`
`static I18n` | `urlPropertyDescription`
`static I18n` | `urlPropertyLabel`
`static I18n` | `usernamePropertyCategory`
`static I18n` | `usernamePropertyDescription`
`static I18n` | `usernamePropertyLabel`
`static I18n` | `workspaceAlreadyExists`
`static I18n` | `workspaceDoesNotExist`

Constructor Summary
`JpaConnectorI18n()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### connectorName

    public static I18n connectorName

### nodeDoesNotExist

    public static I18n nodeDoesNotExist

### propertyIsRequired

    public static I18n propertyIsRequired

### errorFindingDataSourceInJndi

    public static I18n errorFindingDataSourceInJndi

### repositorySourceMustHaveName

    public static I18n repositorySourceMustHaveName

### unknownModelName

    public static I18n unknownModelName

### errorSettingContextClassLoader

    public static I18n errorSettingContextClassLoader

### existingStoreSpecifiesUnknownModel

    public static I18n existingStoreSpecifiesUnknownModel

### unableToReadLargeValue

    public static I18n unableToReadLargeValue

### unableToMoveRootNode

    public static I18n unableToMoveRootNode

### locationShouldHavePathAndOrProperty

    public static I18n locationShouldHavePathAndOrProperty

### invalidUuidForWorkspace

    public static I18n invalidUuidForWorkspace

### invalidReferences

    public static I18n invalidReferences

### invalidIsolationLevel

    public static I18n invalidIsolationLevel

### unableToDeleteBecauseOfReferences

    public static I18n unableToDeleteBecauseOfReferences

### dialectCouldNotBeDeterminedAndMustBeSpecified

    public static I18n dialectCouldNotBeDeterminedAndMustBeSpecified

### workspaceAlreadyExists

    public static I18n workspaceAlreadyExists

### workspaceDoesNotExist

    public static I18n workspaceDoesNotExist

### unableToCreateWorkspaces

    public static I18n unableToCreateWorkspaces

### connectionIsNoLongerOpen

    public static I18n connectionIsNoLongerOpen

### basicModelDescription

    public static I18n basicModelDescription

### simpleModelDescription

    public static I18n simpleModelDescription

### namePropertyDescription

    public static I18n namePropertyDescription

### namePropertyLabel

    public static I18n namePropertyLabel

### namePropertyCategory

    public static I18n namePropertyCategory

### rootNodeUuidPropertyDescription

    public static I18n rootNodeUuidPropertyDescription

### rootNodeUuidPropertyLabel

    public static I18n rootNodeUuidPropertyLabel

### rootNodeUuidPropertyCategory

    public static I18n rootNodeUuidPropertyCategory

### creatingWorkspacesAllowedPropertyDescription

    public static I18n creatingWorkspacesAllowedPropertyDescription

### creatingWorkspacesAllowedPropertyLabel

    public static I18n creatingWorkspacesAllowedPropertyLabel

### creatingWorkspacesAllowedPropertyCategory

    public static I18n creatingWorkspacesAllowedPropertyCategory

### defaultWorkspaceNamePropertyDescription

    public static I18n defaultWorkspaceNamePropertyDescription

### defaultWorkspaceNamePropertyLabel

    public static I18n defaultWorkspaceNamePropertyLabel

### defaultWorkspaceNamePropertyCategory

    public static I18n defaultWorkspaceNamePropertyCategory

### predefinedWorkspaceNamesPropertyDescription

    public static I18n predefinedWorkspaceNamesPropertyDescription

### predefinedWorkspaceNamesPropertyLabel

    public static I18n predefinedWorkspaceNamesPropertyLabel

### predefinedWorkspaceNamesPropertyCategory

    public static I18n predefinedWorkspaceNamesPropertyCategory

### retryLimitPropertyDescription

    public static I18n retryLimitPropertyDescription

### retryLimitPropertyLabel

    public static I18n retryLimitPropertyLabel

### retryLimitPropertyCategory

    public static I18n retryLimitPropertyCategory

### updatesAllowedPropertyDescription

    public static I18n updatesAllowedPropertyDescription

### updatesAllowedPropertyLabel

    public static I18n updatesAllowedPropertyLabel

### updatesAllowedPropertyCategory

    public static I18n updatesAllowedPropertyCategory

### dataSourceJndiNamePropertyDescription

    public static I18n dataSourceJndiNamePropertyDescription

### dataSourceJndiNamePropertyLabel

    public static I18n dataSourceJndiNamePropertyLabel

### dataSourceJndiNamePropertyCategory

    public static I18n dataSourceJndiNamePropertyCategory

### dialectPropertyDescription

    public static I18n dialectPropertyDescription

### dialectPropertyLabel

    public static I18n dialectPropertyLabel

### dialectPropertyCategory

    public static I18n dialectPropertyCategory

### passwordPropertyDescription

    public static I18n passwordPropertyDescription

### passwordPropertyLabel

    public static I18n passwordPropertyLabel

### passwordPropertyCategory

    public static I18n passwordPropertyCategory

### schemaNamePropertyDescription

    public static I18n schemaNamePropertyDescription

### schemaNamePropertyLabel

    public static I18n schemaNamePropertyLabel

### schemaNamePropertyCategory

    public static I18n schemaNamePropertyCategory

### usernamePropertyDescription

    public static I18n usernamePropertyDescription

### usernamePropertyLabel

    public static I18n usernamePropertyLabel

### usernamePropertyCategory

    public static I18n usernamePropertyCategory

### urlPropertyDescription

    public static I18n urlPropertyDescription

### urlPropertyLabel

    public static I18n urlPropertyLabel

### urlPropertyCategory

    public static I18n urlPropertyCategory

### isolationLevelPropertyDescription

    public static I18n isolationLevelPropertyDescription

### isolationLevelPropertyLabel

    public static I18n isolationLevelPropertyLabel

### isolationLevelPropertyCategory

    public static I18n isolationLevelPropertyCategory

### driverClassNamePropertyDescription

    public static I18n driverClassNamePropertyDescription

### driverClassNamePropertyLabel

    public static I18n driverClassNamePropertyLabel

### driverClassNamePropertyCategory

    public static I18n driverClassNamePropertyCategory

### driverClassloaderNamePropertyDescription

    public static I18n driverClassloaderNamePropertyDescription

### driverClassloaderNamePropertyLabel

    public static I18n driverClassloaderNamePropertyLabel

### driverClassloaderNamePropertyCategory

    public static I18n driverClassloaderNamePropertyCategory

### maximumConnectionsInPoolPropertyDescription

    public static I18n maximumConnectionsInPoolPropertyDescription

### maximumConnectionsInPoolPropertyLabel

    public static I18n maximumConnectionsInPoolPropertyLabel

### maximumConnectionsInPoolPropertyCategory

    public static I18n maximumConnectionsInPoolPropertyCategory

### minimumConnectionsInPoolPropertyDescription

    public static I18n minimumConnectionsInPoolPropertyDescription

### minimumConnectionsInPoolPropertyLabel

    public static I18n minimumConnectionsInPoolPropertyLabel

### minimumConnectionsInPoolPropertyCategory

    public static I18n minimumConnectionsInPoolPropertyCategory

### maximumConnectionIdleTimeInSecondsPropertyDescription

    public static I18n maximumConnectionIdleTimeInSecondsPropertyDescription

### maximumConnectionIdleTimeInSecondsPropertyLabel

    public static I18n maximumConnectionIdleTimeInSecondsPropertyLabel

### maximumConnectionIdleTimeInSecondsPropertyCategory

    public static I18n maximumConnectionIdleTimeInSecondsPropertyCategory

### maximumSizeOfStatementCachePropertyDescription

    public static I18n maximumSizeOfStatementCachePropertyDescription

### maximumSizeOfStatementCachePropertyLabel

    public static I18n maximumSizeOfStatementCachePropertyLabel

### maximumSizeOfStatementCachePropertyCategory

    public static I18n maximumSizeOfStatementCachePropertyCategory

### numberOfConnectionsToAcquireAsNeededPropertyDescription

    public static I18n numberOfConnectionsToAcquireAsNeededPropertyDescription

### numberOfConnectionsToAcquireAsNeededPropertyLabel

    public static I18n numberOfConnectionsToAcquireAsNeededPropertyLabel

### numberOfConnectionsToAcquireAsNeededPropertyCategory

    public static I18n numberOfConnectionsToAcquireAsNeededPropertyCategory

### idleTimeInSecondsBeforeTestingConnectionsPropertyDescription

    public static I18n idleTimeInSecondsBeforeTestingConnectionsPropertyDescription

### idleTimeInSecondsBeforeTestingConnectionsPropertyLabel

    public static I18n idleTimeInSecondsBeforeTestingConnectionsPropertyLabel

### idleTimeInSecondsBeforeTestingConnectionsPropertyCategory

    public static I18n idleTimeInSecondsBeforeTestingConnectionsPropertyCategory

### cacheTimeToLiveInMillisecondsPropertyDescription

    public static I18n cacheTimeToLiveInMillisecondsPropertyDescription

### cacheTimeToLiveInMillisecondsPropertyLabel

    public static I18n cacheTimeToLiveInMillisecondsPropertyLabel

### cacheTimeToLiveInMillisecondsPropertyCategory

    public static I18n cacheTimeToLiveInMillisecondsPropertyCategory

### largeValueSizeInBytesPropertyDescription

    public static I18n largeValueSizeInBytesPropertyDescription

### largeValueSizeInBytesPropertyLabel

    public static I18n largeValueSizeInBytesPropertyLabel

### largeValueSizeInBytesPropertyCategory

    public static I18n largeValueSizeInBytesPropertyCategory

### showSqlPropertyDescription

    public static I18n showSqlPropertyDescription

### showSqlPropertyLabel

    public static I18n showSqlPropertyLabel

### showSqlPropertyCategory

    public static I18n showSqlPropertyCategory

### compressDataPropertyDescription

    public static I18n compressDataPropertyDescription

### compressDataPropertyLabel

    public static I18n compressDataPropertyLabel

### compressDataPropertyCategory

    public static I18n compressDataPropertyCategory

### referentialIntegrityEnforcedPropertyDescription

    public static I18n referentialIntegrityEnforcedPropertyDescription

### referentialIntegrityEnforcedPropertyLabel

    public static I18n referentialIntegrityEnforcedPropertyLabel

### referentialIntegrityEnforcedPropertyCategory

    public static I18n referentialIntegrityEnforcedPropertyCategory

### autoGenerateSchemaPropertyDescription

    public static I18n autoGenerateSchemaPropertyDescription

### autoGenerateSchemaPropertyLabel

    public static I18n autoGenerateSchemaPropertyLabel

### autoGenerateSchemaPropertyCategory

    public static I18n autoGenerateSchemaPropertyCategory

### modelNamePropertyDescription

    public static I18n modelNamePropertyDescription

### modelNamePropertyLabel

    public static I18n modelNamePropertyLabel

### modelNamePropertyCategory

    public static I18n modelNamePropertyCategory

### cacheProviderClassNamePropertyDescription

    public static I18n cacheProviderClassNamePropertyDescription

### cacheProviderClassNamePropertyLabel

    public static I18n cacheProviderClassNamePropertyLabel

### cacheProviderClassNamePropertyCategory

    public static I18n cacheProviderClassNamePropertyCategory

### cacheManagerLookupPropertyDescription

    public static I18n cacheManagerLookupPropertyDescription

### cacheManagerLookupPropertyLabel

    public static I18n cacheManagerLookupPropertyLabel

### cacheManagerLookupPropertyCategory

    public static I18n cacheManagerLookupPropertyCategory

### cacheConcurrencyStrategyPropertyDescription

    public static I18n cacheConcurrencyStrategyPropertyDescription

### cacheConcurrencyStrategyPropertyLabel

    public static I18n cacheConcurrencyStrategyPropertyLabel

### cacheConcurrencyStrategyPropertyCategory

    public static I18n cacheConcurrencyStrategyPropertyCategory

### garbageCollectionEnabledPropertyDescription

    public static I18n garbageCollectionEnabledPropertyDescription

### garbageCollectionEnabledPropertyLabel

    public static I18n garbageCollectionEnabledPropertyLabel

### garbageCollectionEnabledPropertyCategory

    public static I18n garbageCollectionEnabledPropertyCategory

Constructor Detail

### JpaConnectorI18n

    public JpaConnectorI18n()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.